<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy main.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('main_8cpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">main.cpp</div></div>
</div><!--header-->
<div class="contents">
<a href="main_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#include &lt;QApplication&gt;</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#include &quot;<a class="code" href="_main_window_8hpp.html">MainWindow.hpp</a>&quot;</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;thread&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &lt;condition_variable&gt;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="_main_window_8hpp.html#aad7bbf4191e375baee5f99ed26694706">    7</a></span>std::condition_variable <a class="code hl_variable" href="main_8cpp.html#aad7bbf4191e375baee5f99ed26694706">start</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="_main_window_8hpp.html#a1b56d40ec3cfbf9e16772d3c02374e9f">    8</a></span>std::mutex <a class="code hl_variable" href="main_8cpp.html#a1b56d40ec3cfbf9e16772d3c02374e9f">cm</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97">   10</a></span><span class="keywordtype">int</span> <a class="code hl_function" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97">main</a>(<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[])</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>{</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>  QApplication app(argc, argv);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>  <a class="code hl_class" href="class_main_window.html">MainWindow</a> window;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>  window.<a class="code hl_function" href="class_main_window.html#a7e4aff0e6115f925d23d6a4272fe6303">languageChoice</a>(1);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>  <a class="code hl_class" href="class_serial_port.html">SerialPort</a> *serial = window.<a class="code hl_function" href="class_main_window.html#a663535964d681a72bd7baf64e5d336da">returnSerial</a>();</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>  window.show();</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>  std::thread reader(<a class="code hl_function" href="_serial_port_8hpp.html#a6362cdaadde6e3f843a85a3713bb1e0c">process</a>, serial);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>  <span class="keywordtype">int</span> result = app.exec();</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>  reader.join();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>  <span class="keywordflow">return</span> result;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>}</div>
<div class="ttc" id="a_main_window_8hpp_html"><div class="ttname"><a href="_main_window_8hpp.html">MainWindow.hpp</a></div><div class="ttdoc">Definicja klasy MainWindow.</div></div>
<div class="ttc" id="a_serial_port_8hpp_html_a6362cdaadde6e3f843a85a3713bb1e0c"><div class="ttname"><a href="_serial_port_8hpp.html#a6362cdaadde6e3f843a85a3713bb1e0c">process</a></div><div class="ttdeci">void process(SerialPort *serial)</div><div class="ttdoc">Funkcja wykonywana przez wątek czytający.</div><div class="ttdef"><b>Definition</b> <a href="_serial_port_8cpp_source.html#l00194">SerialPort.cpp:194</a></div></div>
<div class="ttc" id="aclass_main_window_html"><div class="ttname"><a href="class_main_window.html">MainWindow</a></div><div class="ttdoc">Główne okno aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00044">MainWindow.hpp:45</a></div></div>
<div class="ttc" id="aclass_main_window_html_a663535964d681a72bd7baf64e5d336da"><div class="ttname"><a href="class_main_window.html#a663535964d681a72bd7baf64e5d336da">MainWindow::returnSerial</a></div><div class="ttdeci">SerialPort * returnSerial()</div><div class="ttdoc">Zwraca uchwyt do klasy modelującej port szeregowy.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00162">MainWindow.hpp:162</a></div></div>
<div class="ttc" id="aclass_main_window_html_a7e4aff0e6115f925d23d6a4272fe6303"><div class="ttname"><a href="class_main_window.html#a7e4aff0e6115f925d23d6a4272fe6303">MainWindow::languageChoice</a></div><div class="ttdeci">void languageChoice(int index)</div><div class="ttdoc">Funkcja kontrolująca przepływ logiki zmiany języka.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00275">MainWindow.cpp:275</a></div></div>
<div class="ttc" id="aclass_serial_port_html"><div class="ttname"><a href="class_serial_port.html">SerialPort</a></div><div class="ttdoc">Modeluje port szeregowy.</div><div class="ttdef"><b>Definition</b> <a href="_serial_port_8hpp_source.html#l00041">SerialPort.hpp:42</a></div></div>
<div class="ttc" id="amain_8cpp_html_a0ddf1224851353fc92bfbff6f499fa97"><div class="ttname"><a href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97">main</a></div><div class="ttdeci">int main(int argc, char *argv[])</div><div class="ttdef"><b>Definition</b> <a href="main_8cpp_source.html#l00010">main.cpp:10</a></div></div>
<div class="ttc" id="amain_8cpp_html_a1b56d40ec3cfbf9e16772d3c02374e9f"><div class="ttname"><a href="main_8cpp.html#a1b56d40ec3cfbf9e16772d3c02374e9f">cm</a></div><div class="ttdeci">std::mutex cm</div><div class="ttdef"><b>Definition</b> <a href="main_8cpp_source.html#l00008">main.cpp:8</a></div></div>
<div class="ttc" id="amain_8cpp_html_aad7bbf4191e375baee5f99ed26694706"><div class="ttname"><a href="main_8cpp.html#aad7bbf4191e375baee5f99ed26694706">start</a></div><div class="ttdeci">std::condition_variable start</div><div class="ttdef"><b>Definition</b> <a href="main_8cpp_source.html#l00007">main.cpp:7</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="main_8cpp.html">main.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
